Ledger accounts are the categories in your bookkeeping, like revenue, costs, assets, and liabilities.
Returns information about a ledger account
Returns information about a ledger account.
path Parameters
administration_id^\d+$ · requiredThe unique identifier of the administration
A unique record identifier
id^\d+$ · requiredA unique record identifier
format^(.(json|xml))?$ · requiredThe format in which the response is given, can be empty to use the default format
Returns information about a ledger account › Responses
A ledger account
id^\d+$A unique record identifier
administration_id^\d+$A unique record identifier
nameaccount_typeaccount_idparent_id^\d+$A unique record identifier
activecreated_atupdated_atallowed_document_typesfinancial_account_id^\d+$A unique record identifier
Deletes a ledger account
Deletes or deactivates a ledger account. First, an attempt is made to deactivate the ledger account. If that fails, an attempt is made to delete the ledger account. Always returns a 204 status code even if the ledger account could not be deleted or deactivated.
path Parameters
administration_id^\d+$ · requiredThe unique identifier of the administration
A unique record identifier
id^\d+$ · requiredA unique record identifier
format^(.(json|xml))?$ · requiredThe format in which the response is given, can be empty to use the default format
Deletes a ledger account › Responses
Ledger account deleted
Updates a ledger account
Updates a ledger account.
path Parameters
administration_id^\d+$ · requiredThe unique identifier of the administration
A unique record identifier
id^\d+$ · requiredA unique record identifier
format^(.(json|xml))?$ · requiredThe format in which the response is given, can be empty to use the default format
Updates a ledger account › Request Body
rgs_codeExisting RGS version 3.5 code, e.g. 'WMfoBelMfo'
Updates a ledger account › Responses
Ledger account updated
id^\d+$A unique record identifier
administration_id^\d+$A unique record identifier
nameaccount_typeaccount_idparent_id^\d+$A unique record identifier
activecreated_atupdated_atallowed_document_typesfinancial_account_id^\d+$A unique record identifier
List all ledger accounts of an administration
Returns a list of all the ledger accounts in the administration.
Pagination is not supported for this endpoint.
path Parameters
administration_id^\d+$ · requiredThe unique identifier of the administration
A unique record identifier
format^(.(json|xml))?$ · requiredThe format in which the response is given, can be empty to use the default format
List all ledger accounts of an administration › Responses
A list of ledger accounts
id^\d+$A unique record identifier
administration_id^\d+$A unique record identifier
nameaccount_typeaccount_idparent_id^\d+$A unique record identifier
activecreated_atupdated_atallowed_document_typesfinancial_account_id^\d+$A unique record identifier
Creates a new ledger account
The account_type determines the kind of ledger account, this can be any of the following values:
non_current_assets, current_assets, equity, provisions, non_current_liabilities, current_liabilities, revenue, direct_costs, expenses, other_income_expenses
By providing the parent_id, it is possible to create a tree of ledger accounts. Make sure the account_types
of the parent and child equal.
path Parameters
administration_id^\d+$ · requiredThe unique identifier of the administration
A unique record identifier
format^(.(json|xml))?$ · requiredThe format in which the response is given, can be empty to use the default format
Creates a new ledger account › Request Body
rgs_codeExisting RGS version 3.5 code, e.g. 'WMfoBelMfo'
Creates a new ledger account › Responses
Ledger account created
id^\d+$A unique record identifier
administration_id^\d+$A unique record identifier
nameaccount_typeaccount_idparent_id^\d+$A unique record identifier
activecreated_atupdated_atallowed_document_typesfinancial_account_id^\d+$A unique record identifier